<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_37) on Mon Sep 09 14:45:37 CEST 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=utf8">
<TITLE>
org.cocktail.fwkcktlscolpeda.serveur.metier.droits (FwkCktlScolPeda - Droits - Perimetre de donnees)
</TITLE>

<META NAME="date" CONTENT="2013-09-09">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.cocktail.fwkcktlscolpeda.serveur.metier.droits (FwkCktlScolPeda - Droits - Perimetre de donnees)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV PACKAGE&nbsp;
&nbsp;NEXT PACKAGE</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/cocktail/fwkcktlscolpeda/serveur/metier/droits/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<H2>
Package org.cocktail.fwkcktlscolpeda.serveur.metier.droits
</H2>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Interface Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/IPerimetreProvider.html" title="interface in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">IPerimetreProvider&lt;T extends EOGdPerimetre&gt;</A></B></TD>
<TD>Cette interface definit le service que doit apporter un fournisseur de perimetres pour un perimetre de donnees.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/IPerimetreStrategie.html" title="interface in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">IPerimetreStrategie</A></B></TD>
<TD>Cette interface definit une strategie de construction des perimetres.</TD>
</TR>
</TABLE>
&nbsp;

<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreGirofleProvider.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreGirofleProvider</A></B></TD>
<TD>Cette classe fournit des perimetres de donnees pour l'application Girofle.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieAccesElement.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieAccesElement</A></B></TD>
<TD>Cette strategie definit un perimetre de donnees sur un composant de la maquette de formation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieAccesElementsFormation.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieAccesElementsFormation</A></B></TD>
<TD>Cette strategie definit un perimetre sur un ensemble de composants appartenant à une formation (un diplome).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieAccesElementsFormationUserResp.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieAccesElementsFormationUserResp</A></B></TD>
<TD>Cette strategie definit un perimetre sur les composants d'une formation dont l'utilisateur est responsable.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieAccesFormation.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieAccesFormation</A></B></TD>
<TD>Cette strategie definit un perimetre sur une formation (un diplome).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieAccesFormationsComposante.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieAccesFormationsComposante</A></B></TD>
<TD>Cette strategie definit un perimetre sur une structure (composante d'un etablissement).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieAccesFormationsComposanteUser.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieAccesFormationsComposanteUser</A></B></TD>
<TD>Cette strategie definit un perimetre sur la composante de l'utilisateur (structure).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieAccesGrade.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieAccesGrade</A></B></TD>
<TD>Cette strategie definit un perimetre sur l'acces a un grade universitaire.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieDefault.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieDefault</A></B></TD>
<TD>Strategie par défaut.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/PerimetreStrategieFactory.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">PerimetreStrategieFactory</A></B></TD>
<TD>Cette classe permet de construire une strategie de construction de perimetre pour un perimetre de donnees.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/ScolariteApplicationAutorisationsCache.html" title="class in org.cocktail.fwkcktlscolpeda.serveur.metier.droits">ScolariteApplicationAutorisationsCache</A></B></TD>
<TD>Définition des autorisations pour les applications de la sphère scolarite.</TD>
</TR>
</TABLE>
&nbsp;

<P>
<DL>
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../org/cocktail/fwkcktlscolpeda/serveur/metier/droits/package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV PACKAGE&nbsp;
&nbsp;NEXT PACKAGE</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/cocktail/fwkcktlscolpeda/serveur/metier/droits/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
